Index: issm/trunk/src/c/DataSet/DataSet.cpp
===================================================================
--- issm/trunk/src/c/DataSet/DataSet.cpp	(revision 3566)
+++ issm/trunk/src/c/DataSet/DataSet.cpp	(revision 3567)
@@ -188,5 +188,5 @@
 		memcpy(&enum_type,marshalled_dataset,sizeof(int)); marshalled_dataset+=sizeof(int);
 
-		if(enum_type==NodeEnum()){
+		if(enum_type==NodeEnum){
 			Node* node=NULL;
 			node=new Node();
@@ -194,5 +194,5 @@
 			dataset->AddObject(node);
 		}
-		else if(enum_type==VertexEnum()){
+		else if(enum_type==VertexEnum){
 			Vertex* vertex=NULL;
 			vertex=new Vertex();
@@ -200,5 +200,5 @@
 			dataset->AddObject(vertex);
 		}
-		else if(enum_type==ParamEnum()){
+		else if(enum_type==ParamEnum){
 			Param* param=NULL;
 			param=new Param();
@@ -206,5 +206,5 @@
 			dataset->AddObject(param);
 		}
-		else if(enum_type==NumparEnum()){
+		else if(enum_type==NumparEnum){
 			Numpar* numpar=NULL;
 			numpar=new Numpar();
@@ -212,5 +212,5 @@
 			dataset->AddObject(numpar);
 		}
-		else if(enum_type==TriaEnum()){
+		else if(enum_type==TriaEnum){
 			Tria* tria=NULL;
 			tria=new Tria();
@@ -218,5 +218,5 @@
 			dataset->AddObject(tria);
 		}
-		else if(enum_type==SingEnum()){
+		else if(enum_type==SingEnum){
 			Sing* sing=NULL;
 			sing=new Sing();
@@ -224,5 +224,5 @@
 			dataset->AddObject(sing);
 		}
-		else if(enum_type==BeamEnum()){
+		else if(enum_type==BeamEnum){
 			Beam* beam=NULL;
 			beam=new Beam();
@@ -230,5 +230,5 @@
 			dataset->AddObject(beam);
 		}
-		else if(enum_type==PentaEnum()){
+		else if(enum_type==PentaEnum){
 			Penta* penta=NULL;
 			penta=new Penta();
@@ -236,5 +236,5 @@
 			dataset->AddObject(penta);
 		}
-		else if(enum_type==MaticeEnum()){
+		else if(enum_type==MaticeEnum){
 			Matice* matice=NULL;
 			matice=new Matice();
@@ -242,5 +242,5 @@
 			dataset->AddObject(matice);
 		}
-		else if(enum_type==MatparEnum()){
+		else if(enum_type==MatparEnum){
 			Matpar* matpar=NULL;
 			matpar=new Matpar();
@@ -248,5 +248,5 @@
 			dataset->AddObject(matpar);
 		}
-		else if(enum_type==SpcEnum()){
+		else if(enum_type==SpcEnum){
 			Spc* spc=NULL;
 			spc=new Spc();
@@ -254,5 +254,5 @@
 			dataset->AddObject(spc);
 		}
-		else if(enum_type==PengridEnum()){
+		else if(enum_type==PengridEnum){
 			Pengrid* pengrid=NULL;
 			pengrid=new Pengrid();
@@ -260,5 +260,5 @@
 			dataset->AddObject(pengrid);
 		}
-		else if(enum_type==PenpairEnum()){
+		else if(enum_type==PenpairEnum){
 			Penpair* penpair=NULL;
 			penpair=new Penpair();
@@ -266,5 +266,5 @@
 			dataset->AddObject(penpair);
 		}
-		else if(enum_type==IcefrontEnum()){
+		else if(enum_type==IcefrontEnum){
 			Icefront* icefront=NULL;
 			icefront=new Icefront();
@@ -272,5 +272,5 @@
 			dataset->AddObject(icefront);
 		}
-		else if(enum_type==NumericalfluxEnum()){
+		else if(enum_type==NumericalfluxEnum){
 			Numericalflux* numericalflux=NULL;
 			numericalflux=new Numericalflux();
@@ -278,5 +278,5 @@
 			dataset->AddObject(numericalflux);
 		}
-		else if(enum_type==RgbEnum()){
+		else if(enum_type==RgbEnum){
 			Rgb* rgb=NULL;
 			rgb=new Rgb();
@@ -284,5 +284,5 @@
 			dataset->AddObject(rgb);
 		}
-		else if(enum_type==RiftfrontEnum()){
+		else if(enum_type==RiftfrontEnum){
 			Riftfront* riftfront=NULL;
 			riftfront=new Riftfront();
@@ -385,5 +385,5 @@
 
 		/*Find param type objects: */
-		if((*object)->Enum()==ParamEnum()){
+		if((*object)->Enum()==ParamEnum){
 
 			/*Ok, this object is a parameter, recover it and ask which name it has: */
@@ -416,5 +416,5 @@
 
 		/*Find param type objects: */
-		if((*object)->Enum()==ParamEnum()){
+		if((*object)->Enum()==ParamEnum){
 
 			/*Ok, this object is a parameter, recover it and ask which name it has: */
@@ -446,5 +446,5 @@
 
 		/*Find param type objects: */
-		if((*object)->Enum()==ParamEnum()){
+		if((*object)->Enum()==ParamEnum){
 
 			/*Ok, this object is a parameter, recover it and ask which name it has: */
@@ -477,5 +477,5 @@
 
 		/*Find param type objects: */
-		if((*object)->Enum()==ParamEnum()){
+		if((*object)->Enum()==ParamEnum){
 
 			/*Ok, this object is a parameter, recover it and ask which name it has: */
@@ -509,5 +509,5 @@
 
 		/*Find param type objects: */
-		if((*object)->Enum()==ParamEnum()){
+		if((*object)->Enum()==ParamEnum){
 
 			/*Ok, this object is a parameter, recover it and ask which name it has: */
@@ -542,5 +542,5 @@
 
 		/*Find param type objects: */
-		if((*object)->Enum()==ParamEnum()){
+		if((*object)->Enum()==ParamEnum){
 
 			/*Ok, this object is a parameter, recover it and ask which name it has: */
@@ -573,5 +573,5 @@
 
 		/*Find param type objects: */
-		if((*object)->Enum()==ParamEnum()){
+		if((*object)->Enum()==ParamEnum){
 
 			/*Ok, this object is a parameter, recover it and ask which name it has: */
@@ -602,5 +602,5 @@
 
 		/*Find param type objects: */
-		if((*object)->Enum()==ParamEnum()){
+		if((*object)->Enum()==ParamEnum){
 
 			/*Ok, this object is a parameter, recover it and ask which name it has: */
@@ -630,5 +630,5 @@
 
 		/*Find param type objects: */
-		if((*object)->Enum()==ResultEnum()){
+		if((*object)->Enum()==ResultEnum){
 
 			/*Ok, this object is a result,recover it and ask which name it has: */
@@ -660,5 +660,5 @@
 
 		/*Find param type objects: */
-		if((*object)->Enum()==ResultEnum()){
+		if((*object)->Enum()==ResultEnum){
 
 			/*Ok, this object is a result, recover it and ask which name it has: */
@@ -678,5 +678,5 @@
 }
 /*}}}*/
-/*FUNCTION DataSet::GetEnum(){{{1*/
+/*FUNCTION DataSet::GetEnum{{{1*/
 int  DataSet::GetEnum(){
 	return enum_type;
@@ -861,9 +861,9 @@
 		}
 
-		if((*object)->Enum()==NodeEnum()){
+		if((*object)->Enum()==NodeEnum){
 			node=(Node*)(*object);
 			node->Configure(nodes,vertices);
 		}
-		if((*object)->Enum()==NumparEnum()){
+		if((*object)->Enum()==NumparEnum){
 			numpar=(Numpar*)(*object);
 			numpar->Configure(parameters);
@@ -1080,5 +1080,5 @@
 	for ( object=objects.begin() ; object < objects.end(); object++ ){
 
-		if((*object)->Enum()==NodeEnum()){
+		if((*object)->Enum()==NodeEnum){
 			node=(Node*)(*object);
 			node->FieldAverageOntoVertices(fieldsum,connectivity,field);
@@ -1097,5 +1097,5 @@
 	for ( object=objects.begin() ; object < objects.end(); object++ ){
 
-		if((*object)->Enum()==NodeEnum()){
+		if((*object)->Enum()==NodeEnum){
 
 			node=(Node*)(*object);
@@ -1115,5 +1115,5 @@
 	for ( object=objects.begin() ; object < objects.end(); object++ ){
 
-		if((*object)->Enum()==PentaEnum()){
+		if((*object)->Enum()==PentaEnum){
 
 			penta=(Penta*)(*object);
@@ -1121,5 +1121,5 @@
 
 		}
-		if((*object)->Enum()==NodeEnum()){
+		if((*object)->Enum()==NodeEnum){
 
 			node=(Node*)(*object);
@@ -1193,5 +1193,5 @@
 
 		/*Check this is a single point constraint (spc): */
-		if((*object)->Enum()==NodeEnum()){
+		if((*object)->Enum()==NodeEnum){
 
 			node=(Node*)(*object);
@@ -1250,5 +1250,5 @@
 	for ( object=objects.begin() ; object < objects.end(); object++ ){
 
-		if((*object)->Enum()==PengridEnum()){
+		if((*object)->Enum()==PengridEnum){
 			found=1;
 			break;
@@ -1282,5 +1282,5 @@
 	for ( object=objects.begin() ; object < objects.end(); object++ ){
 		
-		if((*object)->Enum()==PengridEnum()){
+		if((*object)->Enum()==PengridEnum){
 
 			pengrid=(Pengrid*)(*object);
@@ -1343,5 +1343,5 @@
 
 		/*Check this is a node: */
-		if((*object)->Enum()==NodeEnum()){
+		if((*object)->Enum()==NodeEnum){
 
 			node=(Node*)(*object);
@@ -1372,5 +1372,5 @@
 
 		/*Check this is a single point constraint (spc): */
-		if((*object)->Enum()==RgbEnum()){ //we assume uniqueness of all Rgbs, no error checking here.
+		if((*object)->Enum()==RgbEnum){ //we assume uniqueness of all Rgbs, no error checking here.
 
 			count++;
@@ -1390,5 +1390,5 @@
 	for ( object=objects.begin() ; object < objects.end(); object++ ){
 
-		if((*object)->Enum()==RiftfrontEnum()){
+		if((*object)->Enum()==RiftfrontEnum){
 
 			riftfront=(Riftfront*)(*object);
@@ -1448,5 +1448,5 @@
 	for ( object=objects.begin() ; object < objects.end(); object++ ){
 
-		if((*object)->Enum()==PenpairEnum()){
+		if((*object)->Enum()==PenpairEnum){
 
 			penpair=(Penpair*)(*object);
@@ -1484,5 +1484,5 @@
 
 		/*Check this is a single point constraint (spc): */
-		if((*object)->Enum()==RgbEnum()){ //we assume uniqueness of all Rgbs, no error checking here.
+		if((*object)->Enum()==RgbEnum){ //we assume uniqueness of all Rgbs, no error checking here.
 
 			/*we found an rgb, increment counter, so that row index for Rmg is up to date: */
@@ -1545,5 +1545,5 @@
 
 		/*Check this is a single point constraint (spc): */
-		if((*object)->Enum()==SpcEnum()){
+		if((*object)->Enum()==SpcEnum){
 
 			spc=(Spc*)(*object);
@@ -1619,5 +1619,5 @@
 			material->UpdateFromInputs(inputs);
 		}
-		if((*object)->Enum()==NodeEnum()){
+		if((*object)->Enum()==NodeEnum){
 			node=(Node*)(*object);
 			node->UpdateFromInputs(inputs);
@@ -1635,5 +1635,5 @@
 	for ( object=objects.begin() ; object < objects.end(); object++ ){
 
-		if((*object)->Enum()==VertexEnum()){
+		if((*object)->Enum()==VertexEnum){
 
 			vertex=(Vertex*)(*object);
Index: issm/trunk/src/c/EnumDefinitions/EnumDefinitions.cpp
===================================================================
--- issm/trunk/src/c/EnumDefinitions/EnumDefinitions.cpp	(revision 3566)
+++ issm/trunk/src/c/EnumDefinitions/EnumDefinitions.cpp	(revision 3567)
@@ -6,129 +6,16 @@
 #include "./EnumDefinitions.h"
 
-/*Datasets: */
-int DatasetsEnum(void){                     return          100; }
-int ElementsEnum(void){                     return          101; }
-int NodesEnum(void){                        return          102; }
-int ConstraintsEnum(void){                  return          103; }
-int LoadsEnum(void){                        return          104; }
-int MaterialsEnum(void){                    return          105; }
-int ParametersEnum(void){                   return          106; }
-int ResultsEnum(void){                      return          107; }
-int VerticesEnum(void){                     return          108; }
-
-/*ANALYSIS TYPES: */
-int AnalysisEnum(void){                     return          200; }
-//diagnostic
-int DiagnosticAnalysisEnum(void){           return          210; }
-int HorizAnalysisEnum(void){                return          211; }
-int StokesAnalysisEnum(void){               return          212; }
-int HutterAnalysisEnum(void){               return          213; }
-int VertAnalysisEnum(void){                 return          214; }
-//control
-int ControlAnalysisEnum(void){              return          220; }
-int AdjointAnalysisEnum(void){              return          221; }
-int InverseAnalysisEnum(void){              return          222; }
-int GradientAnalysisEnum(void){             return          223; }
-//thermal
-int ThermalAnalysisEnum(void){              return          230; }
-//transient
-int TransientAnalysisEnum(void){            return          231; }
-int SteadyAnalysisEnum(void){               return          232; } //NEEDED by nightly runs
-//slope
-int SlopecomputeAnalysisEnum(void){         return          240; }
-int SurfaceXAnalysisEnum(void){             return          241; }
-int SurfaceYAnalysisEnum(void){             return          242; }
-int BedXAnalysisEnum(void){                 return          243; }
-int BedYAnalysisEnum(void){                 return          244; }
-//prognostic
-int PrognosticAnalysisEnum(void){           return          250; }
-int Prognostic2AnalysisEnum(void){          return          251; }
-int BalancedthicknessAnalysisEnum(void){    return          252; }
-int BalancedvelocitiesAnalysisEnum(void){   return          253; }
-//melting
-int MeltingAnalysisEnum(void){              return          260; }
-//mesh2grid
-int Mesh2gridAnalysisEnum(void){            return          270; }
-//parameters
-int ParametersAnalysisEnum(void){           return          280; }
-//steadystate
-int SteadystateAnalysisEnum(void){          return          281; }
-//none
-int NoneAnalysisEnum(void){                 return          290; }
-
-
-/*Formulations: */
-int FormulationEnum(void){                  return          300; }
-int NoneFormulationEnum(void){              return          301; }
-int HutterFormulationEnum(void){            return          302; }
-int MacAyealFormulationEnum(void){          return          303; }
-int PattynFormulationEnum(void){            return          304; }
-int StokesFormulationEnum(void){            return          305; }
-
-/*OBJECTS: */
-int ObjectEnum(void){                       return          400; }
-/*Elements: */
-int HookEnum(void){                         return          409; }
-int ElementEnum(void){                      return          410; }
-int TriaEnum(void){                         return          411; }
-int ElementPropertiesEnum(void){            return          412; }
-int NodePropertiesEnum(void){               return          413; }
-int PentaEnum(void){                        return          414; }
-int SingEnum(void){                         return          415; }
-int BeamEnum(void){                         return          416; }
-int DofIndexingEnum(void){                  return          417; }
-
-/*Grids: */
-int VertexEnum(void){                       return          420; }
-int NodeEnum(void){                         return          421; }
-/*Loads: */
-int LoadEnum(void){                         return          430; }
-int IcefrontEnum(void){                     return          431; }
-int RiftfrontEnum(void){                    return          432; }
-int PenpairEnum(void){                      return          433; }
-int PengridEnum(void){                      return          434; }
-int NumericalfluxEnum(void){                return          435; }
-/*Materials: */
-int MaterialEnum(void){                     return          440; }
-int MaticeEnum(void){                       return          441; }
-int MatparEnum(void){                       return          442; }
-int NumparEnum(void){                       return          443; }
-/*Inputs: */
-int InputEnum(void){                        return          450; }
-/*Params: */
-int ParamEnum(void){                        return          460; }
-/*Results: */
-int ResultEnum(void){                       return          470; }
-/*Rgb: */
-int RgbEnum(void){                          return          480; }
-/*Spc: */
-int SpcEnum(void){                          return          490; }
-/*DofVec: */
-int DofVecEnum(void){                       return          495; }
-
-
-/*GEOGRAPHY:*/
-int GeographyEnum(void){                    return          500; }
-int IceSheetEnum(void){                     return          502; }
-int IceShelfEnum(void){                     return          502; }
-
-/*FILL:*/
-int WaterEnum(void){                        return          601; }
-int IceEnum(void){                          return          602; }
-int AirEnum(void){                          return          603; }
-int MelangeEnum(void){                      return          604; }
-
 /*functions on enums: */
 int EnumIsElement(int en){
-	if ((en>=410) && (en<=419))return 1;
+	if ((en>=ElementEnum) && (en<=SingEnum))return 1;
 	else return 0;
 }
 
 int EnumIsLoad(int en){
-	if ((en>=430) && (en<=439))return 1;
+	if ((en>=LoadEnum) && (en<=NumericalfluxEnum))return 1;
 	else return 0;
 }
 int EnumIsMaterial(int en){
-	if ((en>=440) && (en<=449))return 1;
+	if ((en>=MaterialEnum) && (en<=NumparEnum))return 1;
 	else return 0;
 }
Index: issm/trunk/src/c/EnumDefinitions/EnumDefinitions.h
===================================================================
--- issm/trunk/src/c/EnumDefinitions/EnumDefinitions.h	(revision 3566)
+++ issm/trunk/src/c/EnumDefinitions/EnumDefinitions.h	(revision 3567)
@@ -7,114 +7,118 @@
 #define _ENUM_DEFINITIONS_
 
-/*Datasets: */
-int DatasetsEnum(void);
-int ElementsEnum(void);
-int NodesEnum(void);
-int ConstraintsEnum(void);
-int LoadsEnum(void);
-int MaterialsEnum(void);
-int ParametersEnum(void);
-int ResultsEnum(void);
-int VerticesEnum(void);
+enum definitions{
 
-/*ANALYSIS TYPES: */
-int AnalysisEnum(void);
-//diagnostic
-int DiagnosticAnalysisEnum(void);
-int HorizAnalysisEnum(void);
-int StokesAnalysisEnum(void);
-int HutterAnalysisEnum(void);
-int VertAnalysisEnum(void);
-//control
-int ControlAnalysisEnum(void);
-int AdjointAnalysisEnum(void);
-int InverseAnalysisEnum(void);
-int GradientAnalysisEnum(void);
-//thermal
-int ThermalAnalysisEnum(void);
-//transient
-int TransientAnalysisEnum(void);
-int SteadyAnalysisEnum(void);
-//slope
-int SlopecomputeAnalysisEnum(void);
-int SurfaceXAnalysisEnum(void);
-int SurfaceYAnalysisEnum(void);
-int BedXAnalysisEnum(void);
-int BedYAnalysisEnum(void);
-//prognostic
-int PrognosticAnalysisEnum(void);
-int Prognostic2AnalysisEnum(void);
-int BalancedthicknessAnalysisEnum(void);
-int BalancedvelocitiesAnalysisEnum(void);
-//melting
-int MeltingAnalysisEnum(void);
-//mesh2grid
-int Mesh2gridAnalysisEnum(void);
-//parameters
-int ParametersAnalysisEnum(void);
-//steadystate
-int SteadystateAnalysisEnum(void);
-//none
-int NoneAnalysisEnum(void);
+	/*Datasets {{{1*/
+	DatasetsEnum,
+	ElementsEnum,
+	NodesEnum,
+	ConstraintsEnum,
+	LoadsEnum,
+	MaterialsEnum,
+	ParametersEnum,
+	ResultsEnum,
+	VerticesEnum,
+	/*}}}*/
+	/*Analysis types {{{1 */
+	AnalysisEnum,
+	//diagnostic
+	DiagnosticAnalysisEnum,
+	HorizAnalysisEnum,
+	StokesAnalysisEnum,
+	HutterAnalysisEnum,
+	VertAnalysisEnum,
+	//control
+	ControlAnalysisEnum,
+	AdjointAnalysisEnum,
+	InverseAnalysisEnum,
+	GradientAnalysisEnum,
+	//thermal
+	ThermalAnalysisEnum,
+	//transient
+	TransientAnalysisEnum,
+	SteadyAnalysisEnum,
+	//slope
+	SlopecomputeAnalysisEnum,
+	SurfaceXAnalysisEnum,
+	SurfaceYAnalysisEnum,
+	BedXAnalysisEnum,
+	BedYAnalysisEnum,
+	//prognostic
+	PrognosticAnalysisEnum,
+	Prognostic2AnalysisEnum,
+	BalancedthicknessAnalysisEnum,
+	BalancedvelocitiesAnalysisEnum,
+	//melting
+	MeltingAnalysisEnum,
+	//mesh2grid
+	Mesh2gridAnalysisEnum,
+	//parameters
+	ParametersAnalysisEnum,
+	//steadystate
+	SteadystateAnalysisEnum,
+	//none
+	NoneAnalysisEnum,
+	/*}}}*/
+	/*Formulations {{{1*/
+	FormulationEnum,
+	NoneFormulationEnum,
+	HutterFormulationEnum,
+	MacAyealFormulationEnum,
+	PattynFormulationEnum,
+	StokesFormulationEnum,
+	/*}}}*/
+	/*Objects {{{1*/
+	ObjectEnum,
+	HookEnum,
+	/*Elements: */
+	ElementEnum,
+	TriaEnum,
+	ElementPropertiesEnum,
+	NodePropertiesEnum,
+	PentaEnum,
+	BeamEnum,
+	SingEnum,
+	DofIndexingEnum,
+	/*Grids: */
+	NodeEnum,
+	VertexEnum,
+	/*Loads: */
+	LoadEnum,
+	IcefrontEnum,
+	RiftfrontEnum,
+	PenpairEnum,
+	PengridEnum,
+	NumericalfluxEnum,
+	/*Materials: */
+	MaterialEnum,
+	MaticeEnum,
+	MatparEnum,
+	NumparEnum,
+	/*Inputs: */
+	InputEnum,
+	/*Params: */
+	ParamEnum,
+	/*Results: */
+	ResultEnum,
+	/*Rgb: */
+	RgbEnum,
+	/*Spc: */
+	SpcEnum,
+	/*DofVec: */
+	DofVecEnum,
+	/*}}}*/
+	/*Geography {{{1*/
+	GeographyEnum,
+	IceSheetEnum,
+	IceShelfEnum,
+	/*}}}*/
+	/*Fill {{{1*/
+	WaterEnum,
+	IceEnum,
+	AirEnum,
+	MelangeEnum,
+	/*}}}*/
 
-
-/*Formulations: */
-int FormulationEnum(void);
-int NoneFormulationEnum(void);
-int HutterFormulationEnum(void);
-int MacAyealFormulationEnum(void);
-int PattynFormulationEnum(void);
-int StokesFormulationEnum(void);
-
-/*OBJECTS: */
-int ObjectEnum(void);
-/*Elements: */
-int HookEnum(void);
-int ElementEnum(void);
-int TriaEnum(void);
-int ElementPropertiesEnum(void);
-int NodePropertiesEnum(void);
-int PentaEnum(void);
-int SingEnum(void);
-int BeamEnum(void);
-int DofIndexingEnum(void);
-/*Grids: */
-int NodeEnum(void);
-int VertexEnum(void);
-/*Loads: */
-int LoadEnum(void);
-int IcefrontEnum(void);
-int RiftfrontEnum(void);
-int PenpairEnum(void);
-int PengridEnum(void);
-int NumericalfluxEnum(void);
-/*Materials: */
-int MaterialEnum(void);
-int MaticeEnum(void);
-int MatparEnum(void);
-int NumparEnum(void);
-/*Inputs: */
-int InputEnum(void);
-/*Params: */
-int ParamEnum(void);
-/*Results: */
-int ResultEnum(void);
-/*Rgb: */
-int RgbEnum(void);
-/*Spc: */
-int SpcEnum(void);
-/*DofVec: */
-int DofVecEnum(void);
-
-/*GEOGRAPHY:*/
-int GeographyEnum(void);
-int IceSheetEnum(void);
-int IceShelfEnum(void);
-
-/*FILL: */
-int WaterEnum(void);
-int IceEnum(void);
-int AirEnum(void);
-int MelangeEnum(void);
+};
 
 /*Functions on enums: */
@@ -122,3 +126,4 @@
 int EnumIsLoad(int en);
 int EnumIsMaterial(int en);
+
 #endif
Index: issm/trunk/src/c/EnumDefinitions/SynchronizeMatlabEnum.sh
===================================================================
--- issm/trunk/src/c/EnumDefinitions/SynchronizeMatlabEnum.sh	(revision 3566)
+++ issm/trunk/src/c/EnumDefinitions/SynchronizeMatlabEnum.sh	(revision 3567)
@@ -7,7 +7,9 @@
 rm $ISSM_DIR/src/m/enum/*.m
 
-#Get the list of interesting lines of EnumDefinitions.cpp and introduce line number
 echo "Synchronizong with Matlab's Enums..."
-cat EnumDefinitions.cpp | grep "return" | grep "int" | awk '{ printf "line%so %s\n", NR, $0 }' | sed -e "s/(void){//"  > temp
+#Get all lines of EnumDefinitions2.h which hold Enum, | remove all comas | add line number in the first column > put everything in file temp
+cat EnumDefinitions.h | grep "Enum," |sed -e "s/,//g" | awk '{ printf "%s %s\n", NR, $0 }' > temp
+
+#Build File AnalysisTypeFromEnum.m
 cat <<END > AnalysisTypeFromEnum.m
 function string=AnalysisTypeFromEnum(enum)
@@ -23,9 +25,8 @@
 %initialize output
 string='not found';
-
 END
 
 #get number of lines in temp
-NUMBEROFLINES=`wc -l temp | awk '{printf("%s",$1);}'`;
+NUMBEROFLINES=$(wc -l temp | awk '{printf("%s",$1);}');
 
 # go through the lines of temp
@@ -33,10 +34,12 @@
 
 	#Get name and enum of the line i
-	NAME=`cat temp |  awk '/line'$i'o/ {printf("%s\n",$3);}';`;
-	ENUM=`cat temp |  awk '/line'$i'o/ {printf("%s\n",$5);}';`;
-	echo writing file $NAME \($i/$NUMBEROFLINES\)
+	NAME=$(cat temp | grep "^[ ]*$i " | awk '{printf("%s",$2);}');
+	ENUM=$i;
+	#offset Enum by one (Enum begins with 0 and not 1!)
+	let ENUM=$ENUM-1
 
 	#write corresponding Matlab file
-	cat <<END > $(echo $NAME.m)
+	echo "writing file "$NAME".m ($i/$NUMBEROFLINES)"
+	cat <<END > $(echo $NAME".m")
 function macro=$(echo $NAME)()
 %$(echo `echo $NAME | sed -e "s/[a-z]/\U&/g"`) - Enum of $(echo `echo $NAME | sed -e "s/Enum//"`)
@@ -47,5 +50,5 @@
 %      macro=$NAME()
 
-macro=$ENUM
+macro=$ENUM;
 END
 
@@ -62,5 +65,5 @@
 
 	#move file to m/enum
-	mv $NAME.m $ISSM_DIR/src/m/enum/
+	mv $NAME".m" $ISSM_DIR"/src/m/enum/"
 
 done
Index: issm/trunk/src/c/ModelProcessorx/Balancedthickness/CreateConstraintsBalancedthickness.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Balancedthickness/CreateConstraintsBalancedthickness.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/Balancedthickness/CreateConstraintsBalancedthickness.cpp	(revision 3567)
@@ -17,5 +17,5 @@
 
 	/*Create constraints: */
-	constraints = new DataSet(ConstraintsEnum());
+	constraints = new DataSet(ConstraintsEnum);
 
 	/*Fetch data: */
Index: issm/trunk/src/c/ModelProcessorx/Balancedthickness/CreateElementsNodesAndMaterialsBalancedthickness.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Balancedthickness/CreateElementsNodesAndMaterialsBalancedthickness.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/Balancedthickness/CreateElementsNodesAndMaterialsBalancedthickness.cpp	(revision 3567)
@@ -24,8 +24,8 @@
 
 	/*First create the elements, nodes and material properties: */
-	elements  = new DataSet(ElementsEnum());
-	nodes     = new DataSet(NodesEnum());
-	vertices  = new DataSet(VerticesEnum());
-	materials = new DataSet(MaterialsEnum());
+	elements  = new DataSet(ElementsEnum);
+	nodes     = new DataSet(NodesEnum);
+	vertices  = new DataSet(VerticesEnum);
+	materials = new DataSet(MaterialsEnum);
 
 	/*Partition elements and vertices and nodes: */
Index: issm/trunk/src/c/ModelProcessorx/Balancedthickness/CreateLoadsBalancedthickness.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Balancedthickness/CreateLoadsBalancedthickness.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/Balancedthickness/CreateLoadsBalancedthickness.cpp	(revision 3567)
@@ -16,5 +16,5 @@
 
 	/*Create loads: */
-	loads   = new DataSet(LoadsEnum());
+	loads   = new DataSet(LoadsEnum);
 	
 	
Index: issm/trunk/src/c/ModelProcessorx/Balancedvelocities/CreateConstraintsBalancedvelocities.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Balancedvelocities/CreateConstraintsBalancedvelocities.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/Balancedvelocities/CreateConstraintsBalancedvelocities.cpp	(revision 3567)
@@ -19,5 +19,5 @@
 
 	/*Create constraints: */
-	constraints = new DataSet(ConstraintsEnum());
+	constraints = new DataSet(ConstraintsEnum);
 
 	/*Fetch data: */
Index: issm/trunk/src/c/ModelProcessorx/Balancedvelocities/CreateElementsNodesAndMaterialsBalancedvelocities.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Balancedvelocities/CreateElementsNodesAndMaterialsBalancedvelocities.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/Balancedvelocities/CreateElementsNodesAndMaterialsBalancedvelocities.cpp	(revision 3567)
@@ -24,8 +24,8 @@
 
 	/*First create the elements, nodes and material properties: */
-	elements  = new DataSet(ElementsEnum());
-	nodes     = new DataSet(NodesEnum());
-	vertices  = new DataSet(VerticesEnum());
-	materials = new DataSet(MaterialsEnum());
+	elements  = new DataSet(ElementsEnum);
+	nodes     = new DataSet(NodesEnum);
+	vertices  = new DataSet(VerticesEnum);
+	materials = new DataSet(MaterialsEnum);
 
 	/*Partition elements and vertices and nodes: */
Index: issm/trunk/src/c/ModelProcessorx/Balancedvelocities/CreateLoadsBalancedvelocities.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Balancedvelocities/CreateLoadsBalancedvelocities.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/Balancedvelocities/CreateLoadsBalancedvelocities.cpp	(revision 3567)
@@ -16,5 +16,5 @@
 
 	/*Create loads: */
-	loads   = new DataSet(LoadsEnum());
+	loads   = new DataSet(LoadsEnum);
 	
 	
Index: issm/trunk/src/c/ModelProcessorx/CreateDataSets.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/CreateDataSets.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/CreateDataSets.cpp	(revision 3567)
@@ -22,7 +22,7 @@
 
 	/*This is just a high level driver: */
-	if (iomodel->analysis_type==DiagnosticAnalysisEnum()){
+	if (iomodel->analysis_type==DiagnosticAnalysisEnum){
 
-		if (iomodel->sub_analysis_type==HorizAnalysisEnum()){
+		if (iomodel->sub_analysis_type==HorizAnalysisEnum){
 
 			CreateElementsNodesAndMaterialsDiagnosticHoriz(pelements,pnodes, pvertices, pmaterials, iomodel,iomodel_handle);
@@ -32,5 +32,5 @@
 
 		}
-		else if (iomodel->sub_analysis_type==VertAnalysisEnum()){
+		else if (iomodel->sub_analysis_type==VertAnalysisEnum){
 		
 			CreateElementsNodesAndMaterialsDiagnosticVert(pelements,pnodes, pvertices, pmaterials, iomodel,iomodel_handle);
@@ -39,5 +39,5 @@
 			
 		}
-		else if (iomodel->sub_analysis_type==StokesAnalysisEnum()){
+		else if (iomodel->sub_analysis_type==StokesAnalysisEnum){
 
 			CreateElementsNodesAndMaterialsDiagnosticStokes(pelements,pnodes, pvertices, pmaterials, iomodel,iomodel_handle);
@@ -46,5 +46,5 @@
 			
 		}
-		else if (iomodel->sub_analysis_type==HutterAnalysisEnum()){
+		else if (iomodel->sub_analysis_type==HutterAnalysisEnum){
 
 			CreateElementsNodesAndMaterialsDiagnosticHutter(pelements,pnodes,pvertices, pmaterials, iomodel,iomodel_handle);
@@ -54,5 +54,5 @@
 		}
 	}
-	else if (iomodel->analysis_type==SlopecomputeAnalysisEnum()){
+	else if (iomodel->analysis_type==SlopecomputeAnalysisEnum){
 
 		CreateElementsNodesAndMaterialsSlopeCompute(pelements,pnodes, pvertices,pmaterials, iomodel,iomodel_handle);
@@ -61,5 +61,5 @@
 	
 	}
-	else if (iomodel->analysis_type==ThermalAnalysisEnum()){
+	else if (iomodel->analysis_type==ThermalAnalysisEnum){
 
 		CreateElementsNodesAndMaterialsThermal(pelements,pnodes,pvertices, pmaterials, iomodel,iomodel_handle);
@@ -69,5 +69,5 @@
 					
 	}
-	else if (iomodel->analysis_type==MeltingAnalysisEnum()){
+	else if (iomodel->analysis_type==MeltingAnalysisEnum){
 			
 		CreateElementsNodesAndMaterialsMelting(pelements,pnodes,pvertices, pmaterials, iomodel,iomodel_handle);
@@ -76,5 +76,5 @@
 		CreateParametersMelting(pparameters,iomodel,iomodel_handle);
 	}
-	else if (iomodel->analysis_type==PrognosticAnalysisEnum()){
+	else if (iomodel->analysis_type==PrognosticAnalysisEnum){
 
 		CreateElementsNodesAndMaterialsPrognostic(pelements,pnodes,pvertices, pmaterials, iomodel,iomodel_handle);
@@ -84,5 +84,5 @@
 					
 	}
-	else if (iomodel->analysis_type==Prognostic2AnalysisEnum()){
+	else if (iomodel->analysis_type==Prognostic2AnalysisEnum){
 
 		CreateElementsNodesAndMaterialsPrognostic2(pelements,pnodes,pvertices, pmaterials, iomodel,iomodel_handle);
@@ -92,5 +92,5 @@
 
 	}
-	else if (iomodel->analysis_type==BalancedthicknessAnalysisEnum()){
+	else if (iomodel->analysis_type==BalancedthicknessAnalysisEnum){
 
 		CreateElementsNodesAndMaterialsBalancedthickness(pelements,pnodes,pvertices, pmaterials, iomodel,iomodel_handle);
@@ -100,5 +100,5 @@
 
 	}
-	else if (iomodel->analysis_type==BalancedvelocitiesAnalysisEnum()){
+	else if (iomodel->analysis_type==BalancedvelocitiesAnalysisEnum){
 
 		CreateElementsNodesAndMaterialsBalancedvelocities(pelements,pnodes,pvertices,pmaterials, iomodel,iomodel_handle);
Index: issm/trunk/src/c/ModelProcessorx/CreateParameters.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/CreateParameters.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/CreateParameters.cpp	(revision 3567)
@@ -30,5 +30,5 @@
 
 	/*Initialize dataset: */
-	parameters   = new DataSet(ParametersEnum());
+	parameters   = new DataSet(ParametersEnum);
 
 	//solution parameters: always 1'st, to speed-up its lookup by elements..
@@ -245,5 +245,5 @@
 	count++;
 	param= new Param(count,"numberofnodes",DOUBLE);
-	if (iomodel->analysis_type==Prognostic2AnalysisEnum()) param->SetDouble(3*iomodel->numberofelements);
+	if (iomodel->analysis_type==Prognostic2AnalysisEnum) param->SetDouble(3*iomodel->numberofelements);
 	else param->SetDouble(iomodel->numberofvertices);
 	parameters->AddObject(param);
Index: issm/trunk/src/c/ModelProcessorx/DiagnosticHoriz/CreateConstraintsDiagnosticHoriz.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/DiagnosticHoriz/CreateConstraintsDiagnosticHoriz.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/DiagnosticHoriz/CreateConstraintsDiagnosticHoriz.cpp	(revision 3567)
@@ -23,5 +23,5 @@
 
 	/*Create constraints: */
-	constraints = new DataSet(ConstraintsEnum());
+	constraints = new DataSet(ConstraintsEnum);
 
 	/*Now, is the flag macayaealpattyn on? otherwise, do nothing: */
